Bug 56995 - alchemist-1.0.18-1 is not up-to-date with python2
alchemist-1.0.18-1 is not up-to-date with python2
Product: Red Hat Raw Hide
Classification: Retired
Component: alchemist (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Depends On:
  Show dependency treegraph
Reported: 2001-12-02 11:59 EST by Olivier Baudron
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-12-06 16:42:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Olivier Baudron 2001-12-02 11:59:50 EST
If I upgrade python from 1.5.2-30 to 2.2-0.10b2, it breaks printconf-gui
with the following error message:

# printconf-gui 
Traceback (most recent call last):
  File "/usr/sbin/printconf-gui", line 7, in ?
    import printconf_gui
  File "/usr/share/printconf/util/printconf_gui.py", line 40, in ?
    from printconf_conf import *
  File "/usr/share/printconf/util/printconf_conf.py", line 509, in ?
    from pyalchemist import *
ImportError: No module named pyalchemist

The problem is that the module pyalchemist is installed in
/usr/lib/python1.5/site-package/ and then connot be found by python2.
Comment 1 Trond Eivind Glomsrxd 2001-12-13 17:45:10 EST
1.0.20-1 is compiled for python 2.2

Note You need to log in before you can comment on or make changes to this bug.